it.csi.mddtools.guigen

## Interface CommandOutcome

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface CommandOutcome
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Command Outcome'. Possibile esito di un ExecCommand.

  The following features are supported:

  - `Result Code`
  - `Command`
  See Also:
    `GuigenPackage.getCommandOutcome()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Command` | `getCommand()` Returns the value of the 'Command' containment reference
    `java.lang.String` | `getResultCode()` Returns the value of the 'Result Code' attribute
    `void` | `setCommand(Command value)` Sets the value of the '`Command`' containment reference
    `void` | `setResultCode(java.lang.String value)` Sets the value of the '`Result Code`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getResultCode

          java.lang.String getResultCode()

      Returns the value of the 'Result Code' attribute.

      If the meaning of the 'Result Code' attribute isn't clear, there really should be more of a description here...

      Codice identificativo dell'esito. Deve essere univoco all'interno del content panel e deve essere un identificativo valido secondo java.
      Returns:
        the value of the 'Result Code' attribute.
      See Also:
        `setResultCode(String)`, `GuigenPackage.getCommandOutcome_ResultCode()`

    - #### setResultCode

          void setResultCode(java.lang.String value)

      Sets the value of the '`Result Code`' attribute.
      Parameters:
        `value` - the new value of the 'Result Code' attribute.
      See Also:
        `getResultCode()`

    - #### getCommand

          Command getCommand()

      Returns the value of the 'Command' containment reference.

      If the meaning of the 'Command' containment reference isn't clear, there really should be more of a description here...

      Il comando che viene eseguito nel caso in cui questo CommandOutcome sia quello prescelto nella logica dell'ExecCommand.
      Returns:
        the value of the 'Command' containment reference.
      See Also:
        `setCommand(Command)`, `GuigenPackage.getCommandOutcome_Command()`

    - #### setCommand

          void setCommand(Command value)

      Sets the value of the '`Command`' containment reference.
      Parameters:
        `value` - the new value of the 'Command' containment reference.
      See Also:
        `getCommand()`